org.kie.internal.event.rule

## Class DefaultKnowledgeAgentEventListener

- java.lang.Object
- - org.kie.internal.event.rule.DefaultKnowledgeAgentEventListener

- All Implemented Interfaces:
    EventListener, KnowledgeAgentEventListener

      public class DefaultKnowledgeAgentEventListener
      extends Object
      implements KnowledgeAgentEventListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultKnowledgeAgentEventListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterChangeSetApplied(AfterChangeSetAppliedEvent event)`
    `void` | `afterChangeSetProcessed(AfterChangeSetProcessedEvent event)`
    `void` | `afterResourceProcessed(AfterResourceProcessedEvent event)`
    `void` | `beforeChangeSetApplied(BeforeChangeSetAppliedEvent event)`
    `void` | `beforeChangeSetProcessed(BeforeChangeSetProcessedEvent event)`
    `void` | `beforeResourceProcessed(BeforeResourceProcessedEvent event)`
    `void` | `knowledgeBaseUpdated(KnowledgeBaseUpdatedEvent event)`
    `void` | `resourceCompilationFailed(ResourceCompilationFailedEvent event)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultKnowledgeAgentEventListener

          public DefaultKnowledgeAgentEventListener()

  - ### Method Detail

    - #### afterChangeSetApplied

          public void afterChangeSetApplied(AfterChangeSetAppliedEvent event)

      Specified by:
        `afterChangeSetApplied` in interface `KnowledgeAgentEventListener`

    - #### afterChangeSetProcessed

          public void afterChangeSetProcessed(AfterChangeSetProcessedEvent event)

      Specified by:
        `afterChangeSetProcessed` in interface `KnowledgeAgentEventListener`

    - #### afterResourceProcessed

          public void afterResourceProcessed(AfterResourceProcessedEvent event)

      Specified by:
        `afterResourceProcessed` in interface `KnowledgeAgentEventListener`

    - #### beforeChangeSetApplied

          public void beforeChangeSetApplied(BeforeChangeSetAppliedEvent event)

      Specified by:
        `beforeChangeSetApplied` in interface `KnowledgeAgentEventListener`

    - #### beforeChangeSetProcessed

          public void beforeChangeSetProcessed(BeforeChangeSetProcessedEvent event)

      Specified by:
        `beforeChangeSetProcessed` in interface `KnowledgeAgentEventListener`

    - #### beforeResourceProcessed

          public void beforeResourceProcessed(BeforeResourceProcessedEvent event)

      Specified by:
        `beforeResourceProcessed` in interface `KnowledgeAgentEventListener`

    - #### knowledgeBaseUpdated

          public void knowledgeBaseUpdated(KnowledgeBaseUpdatedEvent event)

      Specified by:
        `knowledgeBaseUpdated` in interface `KnowledgeAgentEventListener`

    - #### resourceCompilationFailed

          public void resourceCompilationFailed(ResourceCompilationFailedEvent event)

      Specified by:
        `resourceCompilationFailed` in interface `KnowledgeAgentEventListener`

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.